Commit 15b2a1a2 authored by Christian Hergert's avatar Christian Hergert

release 3.29.3

parent 29ff951a
Pipeline #16279 passed with stage
in 17 minutes and 32 seconds
......@@ -4,7 +4,13 @@ Version 3.29.3
Changes since last release:
• Initial support for the gradle build system.
• A new completion engine has been added, replacing the use of
GtkSourceCompletion. Information about the new engine can be found at
https://blogs.gnome.org/chergert/2018/06/09/a-new-completion-engine-for-builder/
• Helpers to format GNOME-style header function blocks has been added. Run
the "format-decls" command from the command bar with an editor selection.
• Updated AppData and OARS.
• Initial support for the gradle and maven build system.
• Updated sensible defaults for the Java programming language.
• Various performance and correctness fixes.
• Additional support for sysroots and toolchain selection.
......@@ -17,6 +23,19 @@ Changes since last release:
• Plugins in ~/.local/share/gnome-builder/plugins will have higher
priority which simplifies the process of creating and testing new
plugins out-of-tree such as when using Flatpak.
• Correctness fixes in a number of plugins and libide.
• Language server protocol conformance improvements.
• A new "toggle-map" GAction allows quickly enabling the overview map.
• The snippet engine got improvements to reduce runtime memory overhead.
• Boxes was added to the newcomers section.
• GCC Warnings were vastly increased this cycle, including lots of fixes
but also new potentials for -Werror failures.
• The headerbar on Adwaita has been tweaked to be less busy due to the
proximity of controls.
Updated Translations:
Brazilian, Portuguese, Czech, Spanish, Swedish
==============
Version 3.29.2
......
......@@ -60,7 +60,7 @@ author = 'Christian Hergert, et al.'
# The short X.Y version.
version = '3.29'
# The full version, including alpha/beta/rc tags.
release = '3.29.2'
release = '3.29.3'
# The language for content autogenerated by Sphinx. Refer to documentation
# for a list of supported languages.
......
project('gnome-builder', 'c',
license: 'GPL3+',
version: '3.29.2',
version: '3.29.3',
meson_version: '>= 0.44.0',
default_options: [ 'c_std=gnu11',
'cpp_std=c++11',
......@@ -241,13 +241,13 @@ ld_supports_version_script = cc.links('''
message('Linker supports --version-script: @0@'.format(ld_supports_version_script))
# Commonly used deps
libdazzle_dep = dependency('libdazzle-1.0', version: '>= 3.29.1')
libdazzle_dep = dependency('libdazzle-1.0', version: '>= 3.29.3')
libgio_dep = dependency('gio-2.0', version: '>= 2.56.0')
libgiounix_dep = dependency('gio-unix-2.0')
libgtk_dep = dependency('gtk+-3.0', version: '>= 3.22.26')
libgtksource_dep = dependency('gtksourceview-3.0', version: '>= 3.24.0')
libjson_glib_dep = dependency('json-glib-1.0', version: '>= 1.2.0')
libjsonrpc_glib_dep = dependency('jsonrpc-glib-1.0', version: '>= 3.29.1')
libjsonrpc_glib_dep = dependency('jsonrpc-glib-1.0', version: '>= 3.29.3')
libm_dep = cc.find_library('m', required: false)
libpangoft2_dep = dependency('pangoft2', version: '>= 1.38.0')
libpeas_dep = dependency('libpeas-1.0', version: '>= 1.22.0')
......
......@@ -15,8 +15,8 @@ sysprof_sources = [
]
gnome_builder_plugins_deps += [
dependency('sysprof-2', version: '>= 3.28.0'),
dependency('sysprof-ui-2', version: '>= 3.28.0'),
dependency('sysprof-2', version: '>= 3.29.3'),
dependency('sysprof-ui-2', version: '>= 3.29.3'),
]
gnome_builder_plugins_sources += files(sysprof_sources)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment